%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_version: %global python_version %(%{__python} -c "from distutils.sysconfig import get_python_version; print get_python_version()")}

Name:           qpid-tests
Version:        0.34
Release:        2%{?dist}
Summary:        Conformance tests for Apache Qpid

Group:          Development/Python
License:        ASL 2.0
URL:            http://qpid.apache.org
Source0:        %{name}-%{version}.tar.gz

Patch0:         mrg.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel

Requires:       python-qpid >= %{version}
Requires:       python-qpid-qmf >= %{version}

%description
Conformance tests for Apache Qpid.

%prep
%setup -q
%patch0 -p3

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/qpid_tests
%doc LICENSE.txt NOTICE.txt

%if "%{python_version}" >= "2.6"
%{python_sitelib}/qpid_tests-*.egg-info
%endif

%changelog
* Tue Sep  1 2015 Irina Boverman <iboverma@redhat.com> - 0.34-2
- Make it consistent with qpid-cpp-0.34-3

* Thu Jul  2 2015 Irina Boverman <iboverma@redhat.com> - 0.34-1
- Rebased to 0.34 upstream

* Thu Apr 23 2015 Irina Boverman <iboverma@redhat.com> - 0.32-1
- Rebased to 0.32 upstream

* Wed Feb  4 2015 Irina Boverman <iboverma@redhat.com> - 0.30-2
- Make it consistent with qpid-cpp-0.30-6

* Thu Oct  2 2014 Irina Boverman <iboverma@redhat.com> - 0.30-1
- Initial build for qpid 0.30

* Fri Aug  1 2014 Irina Boverman <iboverma@redhat.com> - 0.22-16
- Make it consistent with qpid-cpp-0.22-45

* Fri May 16 2014 Irina Boverman <iboverma@redhat.com> - 0.22-15
- Make it consistent with qpid-cpp-0.22-39

* Fri Mar  7 2014 Irina Boverman <iboverma@redhat.com> - 0.22-14
- Make it consistent with qpid-cpp-0.22-36

* Fri Feb  7 2014 Irina Boverman <iboverma@redhat.com> - 0.22-13
- Make it consistent with qpid-cpp-0.22-34

* Fri Jan  3 2014 Irina Boverman <iboverma@redhat.com> - 0.22-12
- Make it consistent with qpid-cpp-0.22-30

* Fri Nov 22 2013 Irina Boverman <iboverma@redhat.com> - 0.22-11
- Make it consistent with qpid-cpp-0.22-27

* Wed Nov  6 2013 Irina Boverman <iboverma@redhat.com> - 0.22-10
- Make it consistent with qpid-cpp-0.22-25

* Thu Oct 24 2013 Irina Boverman <iboverma@redhat.com> - 0.22-8
- Resolved bz: 1018749

* Mon Oct 21 2013 Irina Boverman <iboverma@redhat.com> - 0.22-7
- Resolved bz: 1021124

* Fri Oct 11 2013 Irina Boverman <iboverma@redhat.com> - 0.22-6
- Resolved bz: 1012852

* Fri Sep 13 2013 Irina Boverman <iboverma@redhat.com> - 0.22-5
- Picked up new version of /tests/src/py/qpid_tests/broker_0_10/new_api.py

* Fri Jun 28 2013 Irina Boverman <iboverma@redhat.com> - 0.22-4
- Resolved jenkins test issues 

* Thu Jun 13 2013 Irina Boverman <iboverma@redhat.com> - 0.22-3
- Updated source file to 0.22-RC6 

* Tue May  7 2013 Irina Boverman <iboverma@redhat.com> - 0.22-2
- Updated source file

* Wed May  1 2013 Irina Boverman <iboverma@redhat.com> - 0.22-1
- Rebased to 0.22

* Wed Nov  7 2012 Irina Boverman <iboverma@redhat.com> - 0.18-2
- Resolves: rhbz871774

* Thu Oct 4 2012 Irina Boverman <iboverma@redhat.com> - 0.18-1
- Resolves: rhbz#861959
- Rebase to Qpid 0.18

* Fri Dec 9 2011 Justin Ross <jross@redhat.com> - 0.14-1
- Rebase to Qpid 0.14

* Mon Aug 08 2011 Justin Ross <jross@redhat.com> - 0.12-1
- Rebased to Qpid 0.12.
- Resolves: bz706991

* Thu Mar 24 2011 Rafael Schloming <rafaels@redhat.com> - 0.10-1
- Rebased to 1083082.

* Wed Mar  9 2011 Rafael Schloming <rafaels@redhat.com> - 0.9.1078967-1
- Rebased to 1078967.

* Wed Feb 23 2011 Rafael Schloming <rafaels@redhat.com> - 0.9.1073306-1
- Rebased to 1073306.

* Wed May 19 2010 Nuno Santos <nsantos@redhat.com> - 0.7.946106-1
- Rebased to svn rev 946106
- Related: rhbz574881

* Mon Apr 19 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.934605-1
- Rebased to svn rev 934605.

* Thu Apr  1 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.930108-1
- Rebased to svn rev 930108.

* Wed Mar  3 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917717-4
- Changed defines to globals and moved them to the top.
- Removed unnecessary python Requires/BuildRequires.

* Tue Mar  2 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917717-3
- Added correct version to python-qpid dependency.

* Mon Mar  1 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917717-2
- Conditionalize egg-info based on python version.

* Mon Mar  1 2010 Rafael Schloming <rafaels@redhat.com> - 0.7.917717-1
- Initial build.
